F-Secure SAFE

Hi,

My mobile is not getting connected to WiFi possibly due to Bug. I logged onto my F-Secure account to install the app and run antivirus henceforth. However when I tried to install F-Secure SAFE from Google App Store, I am getting this message "Your device isn't compatible with this version". Please help and advise.

Many Thanks,

APS

Best Answer

Comments

This discussion has been closed.